GLM_GTC_matrix_inverse
Recommended extensions

## Functions

template<typename genType >
GLM_FUNC_DECL genType | affineInverse (genType const &m)
| Fast matrix inverse for affine matrix. More...
template<typename genType >
GLM_FUNC_DECL genType | inverseTranspose (genType const &m)
| Compute the inverse transpose of a matrix. More...

## Detailed Description

Include <glm/gtc/matrix_inverse.hpp> to use the features of this extension.

Defines additional matrix inverting functions.

## Function Documentation

## affineInverse()

GLM_FUNC_DECL genType glm::affineInverse | ( | genType const & | m | ) |

Fast matrix inverse for affine matrix.

Parameters

  m | Input matrix to invert.

Template Parameters

  genType | Squared floating-point matrix: half, float or double. Inverse of matrix based of half-qualifier floating point value is highly inaccurate.

See also
  GLM_GTC_matrix_inverse

## inverseTranspose()

GLM_FUNC_DECL genType glm::inverseTranspose | ( | genType const & | m | ) |

Compute the inverse transpose of a matrix.

Parameters

  m | Input matrix to invert transpose.

Template Parameters

  genType | Squared floating-point matrix: half, float or double. Inverse of matrix based of half-qualifier floating point value is highly inaccurate.

See also
  GLM_GTC_matrix_inverse